;==========================================================================
;           :
; Name      : Urgency.PPS
;           :
; Syntax    : *$INCLUDE:Urgency.INC
;           :
; Copyright : (c) 1994 Tranquility Base
;           :
; Version   : 1.0
;           :
; Action    : This is a sub-routine to get the Urgency Flag for the message. 
'           : This is ONLY usable for QFront.
;           :
; Notes     : You MUST have issued a GETUSER before this routine!
;           :
;==========================================================================
;
; Send Out The Urgency File
; This File can be tailored by security level.  I recomend one file for each
; secuity level specified in the NETMAIL.CFG file.
;
If ((U_EXPERT=FALSE) && (Exist(PPEPath()+"Ugnt*.*"))) Then
      DispFile PPEPath()+"Ugnt",SEC+GRAPH+LANG
Else
   ;
   ; If the program cannot find an Urgency file then use these
   ; defauly prompts.  They arn't pretty...but they work.
   ;
   ; NOTE: These prompts are skipped if you have set up an urgency file.
   ;
   PRINTLN "Urgency Level:"

   ;
   ; Does this user have access to the Immediate command?
   ;
   If (U_Sec>=ImmediateLevel) THEN
      PRINTLN "     (I)mmediate"
   EndIf

   
   ;
   ; Does this user have access to the Crash command?
   ;
   If (U_Sec>= CrashLevel) THEN
      PRINTLN "     (C)rash"
   EndIf

   
   ;
   ; Does this user have access to the Hold command?
   ;
   If (U_Sec>= HoldLevel) THEN
      PRINTLN "     (H)old"
   EndIf


   
   ;
   ; Does this user have access to the Direct command?
   ;
   If (U_Sec>= DirectLevel) THEN
      PRINTLN "     (D)irect"
   EndIf

   ;
   ; Everybody has access to the Normal Command since it dosen't do
   ; ANYTHING to the message. It's really only here for cosmetics.
   ;
   PRINTLN "     (N)ormal"

   PRINT "Urgency Level (Enter)=Normal"

EndIf
   
;
; Now Build the Valid String
; The VALID string is used in the INPUTSTR command.  It puts the first letter
; of each command that the user has access to into a string called Valid.
'
If (U_Sec>=ImmediateLevel) THEN
   Valid=Valid+"I"
EndIf

If (U_Sec>= CrashLevel) THEN
   Valid=Valid+"C"
EndIf

If (U_Sec>= HoldLevel)  THEN
   Valid=Valid+"H"
EndIf

If (U_Sec>= DirectLevel) THEN
   Valid=Valid+"D"
EndIf


;
; This is the InputStr for the Urgency flag.
;
INPUTSTR "",Urgency,@X0F,1,Valid,LFAfter+Guide+UpCase



